#!/bin/bash

for EVENT in 0 4 5 ; do
	for PARAMS in "-DLINUS=1" "-DNEW=1 -DANSHUL=1" "-DNEW=1 -DANSHUL=1 -DFLS=1" "-DNEW=1 -DANSHUL=1 -DFLS=1 -DSOFTFLS=1" ; do
		for BTB in "" "-DWIPE_BTB=1" ; do
			echo EVENT=$EVENT $PARAMS $BTB
			gcc -o sqrt sqrt.c -lm -O2 -DLOOPS=100000 -DEVENT=$EVENT $PARAMS $BTB ; ./sqrt
		done
	done
done
